#! /bin/sh
# from the Cornell ppp mini-howto
# http://cslug.tausq.org/
# Rowin Andruscavage ( rwa2@cornell.edu )

echo "Remember to run as root"

if [ -f /usr/sbin/pppd ]; then
    echo "/usr/sbin/pppd found, good."
else
    echo "ERROR! You don't seem to have /usr/sbin/pppd installed"
    exit 1
fi

if [ -f /usr/sbin/chat ]; then
    echo "/usr/sbin/chat found, good."
else
    echo "ERROR! You don't seem to have /usr/sbin/chat installed"
    exit 1
fi

chown root cudialup cuchatscript cuhighdial cuhighchat || (echo "Unable to chown files to root"; exit 1)
chgrp root cudialup cuchatscript cuhighdial cuhighchat || (echo "Unable to chgrp files to root"; exit 1)

chmod 700 cuchatscript || (echo "Unable to change permission of /etc/ppp/cuchatscript to 700"; exit 1)
chmod 755 cudialup || (echo "Unable to change permission of /usr/sbin/cudialup to 755"; exit 1)
chmod 700 cuhighchat || (echo "Unable to change permission of /etc/ppp/cuchatscript to 700"; exit 1)
chmod 755 cuhighdial || (echo "Unable to change permission of /usr/sbin/cudialup to 755"; exit 1)

# prevent other users from snatching passwords
touch /var/log/chat
chmod 600 /var/log/chat || (echo "Unable to change permission of /var/log/chat to 600"; exit 1)

cp cudialup /usr/sbin/ || (echo "Unable to copy cudialup to /usr/sbin"; exit 1)
cp cuchatscript /etc/ppp/ || (echo "Unable to copy cuchatscript to /etc/ppp"; exit 1)
cp pap-secrets /etc/ppp/ || (echo "Unable to copy cuchatscript to /etc/ppp"; exit 1)

# configure culow
pico /etc/ppp/cuchatscript

# configure cu56K
pico /etc/ppp/pap-secrets
pico /etc/ppp/cuhighdial
cp cuhighdial /usr/sbin/ || (echo "Unable to copy cudialup to /usr/sbin"; exit 1)

echo "All done, you should be able to run either"
echo "cudialup or cuhighdial as root"
echo "to connect to the cornell modem pool."

